Skip to main content

eth_getUncleCountByBlockHash

POST

Returns the number of uncle blocks in the block specified by its block hash.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
param[0]
blockHashstringrequired
Block hash is the unique identifier of a block. The block hash is represented as a 64-character hexadecimal string.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://ethereum-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_getUncleCountByBlockHash",
"params": [
"0x61a8ad530a8a43e3583f8ec163f773ad370329b2375d66433eb82f005e1d6202"
]
}'